<template>
  <div style="padding: 0 4px; border-top: 10px solid #eee">
    <h3>
      <i class="ivu-icon ivu-icon-ios-information-circle-outline"></i>工单明细
    </h3>
    <div style="padding: 10px; background: white; padding-top: 0">
      <vol-table
        ref="tableList"
        :loadKey="true"
        :columns="columns"
        :pagination-hide="true"
        :height="210"
        :defaultLoadPage="false"
        @loadBefore="loadBefore"
        url="/api/dt_mes_head/getDetailPage"
        :row-index="true"
        :index="false"
      ></vol-table>
    </div>
  </div>
</template>

<script>
import VolTable from "@/components/basic/VolTable.vue";
export default {
  components: {
    VolTable,
  },
  methods: {
    loadBefore(params, callback) {
      return callback(true);
    },
  },
  data() {
    return {
      tableData: [],
      //从生成的代码sellorder2.vue里面把明细配置复制过来就能用
      columns: [
      {
            field: "mes_detail_id",
            title: "工单明细ID",
            type: "guid",
            width: 110,
            hidden: true,
            readonly: true,
            require: true,
            align: "left",
          },
          {
            field: "jobID",
            title: "工单编号",
            type: "string",
            width: 110,
            align: "left",
            sort: true,
          },
          {
            field: "heatID",
            title: "炉代号",
            type: "string",
            width: 110,
            align: "left",
          },
          {
            field: "billetID",
            title: "钢坯号",
            type: "int",
            width: 110,
            require: true,
            align: "left",
          },
          {
            field: "SN",
            title: "车轮SN号",
            type: "string",
            width: 110,
            align: "left",
          },
          {
            field: "heatBatchID",
            title: "热处理批次",
            type: "string",
            width: 110,
            align: "left",
          },
          {
            field: "Status",
            title: "工单状态",
            type: "string",
            width: 110,
            align: "left",
          },
          {
            field: "FinishTime",
            title: "完成时间",
            type: "datetime",
            width: 150,
            align: "left",
          },
      ],
    };
  },
};
</script>
<style scoped>
h3 {
  font-weight: 500;
  padding-left: 10px;
  background: white;
  margin-top: 8px;
  padding-bottom: 5px;
}
</style>